Bug 1290487 - [DOCS] Document OverlayFS support for OpenShift
[DOCS] Document OverlayFS support for OpenShift
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: brice
Vikram Goyal
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-10 11:20 EST by Eduardo Minguez
Modified: 2017-08-24 20:59 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-24 20:59:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eduardo Minguez 2015-12-10 11:20:52 EST
Document URL: https://docs.openshift.com/enterprise/3.1/install_config/install/index.html ? I really don't know if it fits there...

Section Number and Name: Overview?

Describe the issue: There is no words about overlayfs support in OSE3 (but in RHEL7.2), and it would be nice to have a paragraph explaining how it works, if it is supported or not (selinux is not supported, posix is not supported,...)

Suggestions for improvement: 

Additional information:
Comment 3 Eric Rich 2016-08-30 16:56:53 EDT
We should document https://bugzilla.redhat.com/show_bug.cgi?id=1361535#c6
Comment 4 Eric Rich 2016-08-31 13:56:49 EDT
(In reply to Eric Rich from comment #3)
> We should document https://bugzilla.redhat.com/show_bug.cgi?id=1361535#c6

Documenation should include the statement (in some form): 

> without selinux, there is an increased risk of one container reading the contents of another and we can't claim to have a true multi-tenant system.  It's only valid to use OpenShift in this way if all users of the system are trusted.
Comment 5 brice 2016-09-06 00:11:19 EDT
I've submitted a PR for this:

https://github.com/openshift/openshift-docs/pull/2787

However, I'm not actually sure if this is what we're after. I think it'd be silly to put in the same content from the RHEL docs, so I went with this option.

Eric, Eduardo, can I get an ack or a nack that this is fulfilling this BZ? Also, if the placement is correct?

Thanks!
Comment 6 Eduardo Minguez 2016-09-06 03:28:24 EDT
I'd say we should add some statement about it is tech-preview and that selinux is not supported ATM.
Comment 7 brice 2016-09-06 20:51:03 EDT
Eduardo, I'm not sure what you mean. SELinux is used very much within OpenShift, correct? Do you mean that SELinux working with OverlayFS is not supported? So maybe I should be adding something like:

"Using OverlayFS in conjunction with SELinux is currently in tech preview."

?
Comment 8 Eduardo Minguez 2016-09-12 03:41:15 EDT
I think there are different issues:

* OverlayFS is tech-preview in RHEL and requires disabling SELinux
* Disabling SELinux in OpenShift is kind of not supported
* OverlayFS + SELinux doesn't work AFAIK ( https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/7.2_Release_Notes/technology-preview-file_systems.html says SELinux support for OverlayFS is being worked on upstream, and is expected in a future release.)
Comment 9 Eric Rich 2016-09-26 14:42:17 EDT
(In reply to Eduardo Minguez from comment #8)
> I think there are different issues:
> 
> * OverlayFS is tech-preview in RHEL and requires disabling SELinux
> * Disabling SELinux in OpenShift is kind of not supported
> * OverlayFS + SELinux doesn't work AFAIK (
> https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/
> html/7.2_Release_Notes/technology-preview-file_systems.html says SELinux
> support for OverlayFS is being worked on upstream, and is expected in a
> future release.)

This should be answered by https://bugzilla.redhat.com/show_bug.cgi?id=1361535
Comment 14 Vikram Goyal 2017-01-09 16:28:42 EST
Thanks Eric. Documenting it is delayed till this is fully supported. Leaving the BZ open till then but removing it from the sprint.
Comment 18 brice 2017-08-14 19:52:00 EDT
New PR for this:

https://github.com/openshift/openshift-docs/pull/4969

Verified that the information is all there. If there's any thoughts, please let me know. Now on peer review.
Comment 19 openshift-github-bot 2017-08-20 23:53:48 EDT
Commit pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/0be825ade1eb0e1c3ce795cf67738a6fd5a527b5
Merge pull request #4969 from bfallonf/overlay_1290487

Bug 1290487 Added section on overlayfs

Note You need to log in before you can comment on or make changes to this bug.